If you receive "An Error Occurred" message while posting on our platform, please bear with us as we are trying to fix this issue. Alternatively, you can reach out to @FirefoxSupport on Twitter/X.

ค้นหาฝ่ายสนับสนุน

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

how to down load 3.6 for apple ?

  • 2 การตอบกลับ
  • 9 คนมีปัญหานี้
  • 8 ครั้งที่ดู
  • ตอบกลับล่าสุดโดย kolion-padthai

more options

i see i can download the new 5. firefox...but need to down load the old 3.6 to run on my apple... how?

i see i can download the new 5. firefox...but need to down load the old 3.6 to run on my apple... how?

การตอบกลับทั้งหมด (2)

more options

วิธีแก้ปัญหาที่เลือก

more options

Firefox 3.6.x is available here, and still supported by Mozilla (probably until March 2012). http://www.mozilla.com/en-US/firefox/all-older.html

เปลี่ยนแปลงโดย kolion-padthai เมื่อ